<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

	$Validator = array('is_success'=>false, 'data'=>array());
if (isset($_POST['type']) || isset($_GET['type'])){
		require_once "db_connect.php";

		if( isset($_GET['type']) && ($_GET['type'] == "load")){

			$cond = isset($_GET['typ'])? ' AND customer_type='.$_GET['typ']:'';

			// DB table to use
			$table = 'owner';
			// Table's primary key
			$primaryKey = 'owner_id';
			$columns =  array(
				  			  	array( 'db' => 'owner_id', 'dt' => 0 ),
			    				array( 'db' => 'owner_full_name', 'dt' => 1 ),
			    				// array( 'db' => 'loaner_email',  'dt' => 2 ),
			    				array( 'db' => 'owner_phone',   'dt' => 2 ),
								array( 'db' => 'owner_note',   'dt' => 3 ),
								array( 'db' => 'created_at',   'dt' => 4 , 'formatter'=> function($d){
									return date('Y-m-d',strtotime($d));
									 } ),
								

			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.class.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, " is_deleted=0 ". $cond )
			);
			exit;
		}

		if ($_POST['type']=="get") {

			//$user_id = $_POST['cusid'];

			$res = $db->query("SELECT * FROM owner WHERE is_deleted = 0");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['owner_id'];
						$result[1] = $row['owner_full_name'];
						$result[2] = $row['owner_phone'];
						$result[3] = $row['owner_note'];
						
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		if ($_POST['type']=="get_Customer") {

			// $cust_typ = $_POST['cust_typ'];

			$res = $db->query("SELECT * FROM suppliers WHERE is_deleted = 0");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['supplier_id'];
						$result[1] = $row['supplier_full_name'];
						$result[2] = $row['supplier_phone'];
						$result[3] = $row['supplier_email'];
						
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}

		

		if ($_POST['type'] == "update") {

			$id 				= $_POST['obj_id'];
			$owner_full_name	=addslashes($_POST["owner_full_name"]);
            $owner_phone		=addslashes($_POST["owner_phone"]);
            $owner_note			=addslashes($_POST["owner_note"]);
			

			
			$lastaction = "Update Loaner";

			$res = $db->query("SELECT * FROM owner WHERE owner_full_name = '$owner_full_name' AND owner_id != $id");
			if (mysqli_num_rows($res)>0) {
				$error= "خطأ الاسم مكرر";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}

			$update_qry = "UPDATE owner SET  	owner_full_name = '$owner_full_name', 
												owner_phone     ='$owner_phone', 
												owner_note      ='$owner_note', 
												last_action     ='$lastaction',
												last_action_by  ='".$_SESSION['user_id']."' 
									WHERE owner_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
				$error= "تمت عملية التحديث بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
			else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
		}


		if ($_POST['type']=="delete") {
			$id=addslashes($_POST["obj_id"]);
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Delete Supplier";

			

	      	$res = $db->query("UPDATE owner SET is_deleted = 1 ,deleted_at = '$reg_date',last_action='$lastaction',last_action_by='".$_SESSION['user_id']."' WHERE owner_id=$id");
	     	if ($res){
	     		$Validator['is_success'] = true;
				$Validator['data'] = "تمت عملية الحذف بنجاح";
				echo json_encode($Validator);
				exit;
	     	}
	      	else{
		      	
		      	$Validator['is_success'] = false;
				$Validator['data'] = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($Validator);
				exit;
	     	}
		}

		if ($_POST['type'] == "create") {

            $owner_full_name	=addslashes($_POST["owner_full_name"]);
            $owner_phone		=addslashes($_POST["owner_phone"]);
            $owner_note			=addslashes($_POST["owner_note"]);
           
			$res = $db->query("SELECT * FROM owner WHERE owner_full_name = '$owner_full_name' AND is_deleted=0");
			if (mysqli_num_rows($res)>0) {
							$error= "خطأ الاسم مكرر";
							$State=false;
							$Validator['is_success'] = $State;
							$Validator['data'] = $error;
							echo json_encode($Validator);
							exit;
			}
							
			$delete = 0;
			$reg_date = date("Y-m-d H:i:s", time());
			$lastaction = "Create New Owner";

			$sql ="INSERT INTO owner(
										owner_full_name,
										owner_phone,
										owner_note,
										
										created_by,
										last_action,
										last_action_by)
								VALUES('$owner_full_name',
										'$owner_phone',
										'$owner_note',
										
										'".$_SESSION['user_id']."',
										'$lastaction',
										'".$_SESSION['user_id']."')";
			$res = $db->query($sql);
			if ($res) {
				$error= "تمت عملية الاضافة بنجاح";
				$State=true;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
			else{
				$error= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				$State=false;
				$Validator['is_success'] = $State;
				$Validator['data'] = $error;
				echo json_encode($Validator);
				exit;
			}
						

		}
	}
	else{
		header("Location:../");
		exit;
	}
?>

